Bug 238286 - Fedora 7 KDE LiveCD won't boot due to I/O errors
Summary: Fedora 7 KDE LiveCD won't boot due to I/O errors
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 20:22 UTC by Benn Sundsrud
Modified: 2008-05-07 01:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:35:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (1.12 KB, text/plain)
2007-04-28 21:04 UTC, Benn Sundsrud
no flags Details

Description Benn Sundsrud 2007-04-28 20:22:03 UTC
Description of problem: LiveCD cannot boot from Image, can only be run if run
from RAM.  If run from RAM, install completes without a hitch, but on first boot
the following error occurs (either after installing or trying to boot the LiveCD
from Image):

It will start up, and start a bunch of services, but will fail with I/O errors,
seemingly related to the new ata subsystem.

Version-Release number of selected component (if applicable): kernel
2.6.20-1.3104.fc7


How reproducible:
Fedora 7
Hardware:
Samsung SP0802N (ATA133 IDE drive, currently the slave drive)
Asus P4S800D Motherboard
Intel Pentium 4 2.8GHz HT (prescott)
1GB memory

Steps to Reproduce:
1) Insert Fedora 7Test4 KDE liveCD, try to boot from image
2) Insert Fedora 7test4 KDE liveCD, boot from RAM, install, reboot, and boot 
  
Actual results:
ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2
ata1.01: cmd ca/00:08:1F:22:4c/00:00:00:00:00/f0 tag 0 cdb 0x0 data 4096 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata1.01: qc timeout (cmd 0x27)
ata1.00: failed to IDENTIFY (I/O Error, err_mask=0x40)
ata1: failed to recover some devices, retrying in 5 secs
(last 3 lines repeated a few times)
then a bunch of end_request: I/O error, dev sdb, sector (Buncha sectors).


Expected results:
Booting.

Additional info:

Comment 1 Benn Sundsrud 2007-04-28 21:04:11 UTC
Created attachment 153722 [details]
lspci output

Comment 2 Gianluca Varisco 2007-06-12 09:35:04 UTC
Benn, can you try (or, if you already tried, what is the result?) to boot and
install the final version of F7? 

Comment 3 Benn Sundsrud 2007-06-25 23:14:18 UTC
It still will not work with the KDE liveCD (final F7) but I am now trying the
DVD to see if that works.  For what it's worth, it hangs after trying to start
sendmail, although from looking at the errors that looks unrelated.

Comment 4 Benn Sundsrud 2007-06-26 00:04:16 UTC
F7-DVD installs fine (I disabled sendmail, FWIW), there was a weird keyboard
problem running firstboot, and once I resolved that I couldn't log in -- X
seemed to hang after RHGB. I really wish I could get F7 working (I haven't had a
working fedora install on this desktop since FC5) but I'm just going to have to
go with another distro at the moment just so I can get work done.  I'll be happy
to try any liveCD fixes though.  

Comment 5 Bug Zapper 2008-04-04 00:20:50 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 01:35:57 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.